# Create a project-level ingress (returns the full project) Source: https://docs.orchard.hackclub.com/api/operations/projects_ingresses_create/ `POST /apiv1/projects/{id}/ingresses` Operation ID: `projects_ingresses_create` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Request body ```json { "allOf": [ { "properties": { "host": { "type": "string" }, "tlsEnabled": { "type": "boolean" } }, "required": [ "host" ], "type": "object" }, { "anyOf": [ { "properties": { "basicAuth": { "properties": { "enabled": { "type": "boolean" }, "password": { "type": "string" }, "username": { "type": "string" } }, "required": [ "enabled" ], "type": "object" }, "routes": { "items": { "properties": { "path": { "type": "string" }, "serviceName": { "type": "string" }, "servicePort": { "type": "integer" } }, "required": [ "path", "serviceName", "servicePort" ], "type": "object" }, "minItems": 1, "type": "array" } }, "required": [ "routes" ], "type": "object" }, { "properties": { "deploymentId": { "type": "string" }, "redirectStatus": { "anyOf": [ { "enum": [ 301 ], "type": "number" }, { "enum": [ 302 ], "type": "number" }, { "enum": [ 307 ], "type": "number" }, { "enum": [ 308 ], "type": "number" } ] }, "redirectTarget": { "type": "string" } }, "required": [ "deploymentId", "redirectTarget" ], "type": "object" } ] } ] } ``` ## Responses ### 200: OK